VERSION 5.00
Begin VB.Form gsVerFiles 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "Seleccionar Archivo"
   ClientHeight    =   3045
   ClientLeft      =   1110
   ClientTop       =   2010
   ClientWidth     =   7200
   Icon            =   "gsVerFiles.frx":0000
   LinkTopic       =   "Form1"
   LockControls    =   -1  'True
   MaxButton       =   0   'False
   PaletteMode     =   1  'UseZOrder
   ScaleHeight     =   3045
   ScaleWidth      =   7200
   ShowInTaskbar   =   0   'False
   Begin VB.CommandButton cmdOk 
      Caption         =   "Aceptar"
      Default         =   -1  'True
      Height          =   345
      Left            =   5790
      TabIndex        =   8
      Top             =   2160
      Width           =   1245
   End
   Begin VB.CommandButton cmdCancel 
      Cancel          =   -1  'True
      Caption         =   "Cancelar"
      Height          =   345
      Left            =   5790
      TabIndex        =   7
      Top             =   2580
      Width           =   1245
   End
   Begin VB.ComboBox Combo1 
      BackColor       =   &H00FFFFFF&
      Height          =   315
      Left            =   990
      TabIndex        =   5
      Text            =   "Combo1"
      Top             =   2580
      Width           =   2145
   End
   Begin VB.TextBox Text2 
      Height          =   285
      Left            =   990
      TabIndex        =   3
      Top             =   2190
      Width           =   4485
   End
   Begin VB.FileListBox File1 
      Height          =   1455
      Left            =   3210
      MultiSelect     =   2  'Extended
      TabIndex        =   2
      Top             =   480
      Width           =   2235
   End
   Begin VB.DirListBox Dir1 
      Height          =   1440
      Left            =   120
      TabIndex        =   1
      Top             =   480
      Width           =   2985
   End
   Begin VB.DriveListBox Drive1 
      Height          =   315
      Left            =   120
      TabIndex        =   0
      Top             =   60
      Width           =   2985
   End
   Begin VB.Image Image1 
      Height          =   975
      Left            =   5820
      Stretch         =   -1  'True
      Top             =   210
      Width           =   975
   End
   Begin VB.Label LblFileInfo 
      Alignment       =   1  'Right Justify
      BorderStyle     =   1  'Fixed Single
      Height          =   255
      Index           =   0
      Left            =   5640
      TabIndex        =   10
      Top             =   1320
      Width           =   1365
   End
   Begin VB.Label LblFileInfo 
      Alignment       =   1  'Right Justify
      BorderStyle     =   1  'Fixed Single
      Height          =   255
      Index           =   1
      Left            =   5640
      TabIndex        =   9
      Top             =   1680
      Width           =   1365
   End
   Begin VB.Label Label2 
      Caption         =   " Extensin:"
      Height          =   225
      Left            =   90
      TabIndex        =   6
      Top             =   2610
      Width           =   825
   End
   Begin VB.Label Label5 
      Caption         =   "Archivo:"
      Height          =   255
      Left            =   270
      TabIndex        =   4
      Top             =   2220
      Width           =   645
   End
End
Attribute VB_Name = "gsVerFiles"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'------------------------------------------------------------------------------
' Utilidad para seleccionar archivos
' Si es un archivo Ico o Bmp, se muestra la imagen
'
' Revisin del 22/Ene/99, nuevo mtodo para asignar las extensiones a usar
'
' Guillermo 'guille' Som, 199?-2002
'------------------------------------------------------------------------------
Option Explicit
Const ANCHOMENU = 360 * 3

Private Declare Function SendMessage Lib "user32" Alias "SendMessageA" _
    (ByVal hWnd As Long, ByVal wMsg As Long, _
     ByVal wParam As Long, ByVal lParam As String) As Long

Const CB_FINDSTRINGEXACT = &H158    ' Buscar cadena completa en un ComboBox
Const CB_FINDSTRING = &H14C         ' Buscar cadena desde el principio en un ComboBox
Const LB_FINDSTRINGEXACT = &H1A2    ' Idem en ListBox
Const LB_FINDSTRING = &H18F         '

Private Sub Combo1_Change()
    ' Para que esta ventana sirva para varias cosas,
    ' se tendr en cuenta el contenido de Text1.Text
    ' al cargar, para ver que se muestra.
    Dim sTmp As String
    '
    On Error Resume Next
    '
    sTmp = Trim$(Combo1.Text)
    
    ' Si est lo escrito, seleccionar ese item
    BuscarEnCombo sTmp, Combo1
    ' Seleccionar el tipo de archivo a mostrar  (30/Oct/93)
    File1.Pattern = Combo1.Text
    
    If File1.ListCount Then
        File1.ListIndex = 0
    End If
    File1_Click
    '
    Err = 0
End Sub

Private Sub Combo1_Click()
    ' Seleccionar el tipo de archivo a mostrar  (30/Oct/93)
    File1.Pattern = Combo1.Text
    
    If File1.ListCount Then
        File1.ListIndex = 0
    End If
    File1_Click
End Sub

Private Sub cmdOk_Click()
    ' Aceptar
    ' Asignar la imagen
    Hide
End Sub

Private Sub cmdCancel_Click()
    ' Cancelar
    Text2.Text = "Cancelar"
    Hide
End Sub

Private Sub Dir1_Change()
    ' Cambiar de directorio                     (30/Oct/93)
    File1.Path = Dir1.Path
    File1_Click
End Sub

Private Sub Drive1_Change()
    ' Cambiar la unidad de disco                (30/Oct/93)
    On Error GoTo ErrorDeDisco
    Dir1.Path = Drive1.Drive
    File1_Click
    Exit Sub
ErrorDeDisco:
    Drive1.Drive = Dir1.Path
    'Exit Sub
End Sub

Private Sub File1_Click()
    Dim sTmp As Variant

    sTmp = Trim$(Dir1.Path) & "\"
    If Right$(sTmp, 2) = "\\" Then
        sTmp = Left$(sTmp, Len(sTmp) - 1)
    End If
    Text2.Text = sTmp & File1.FileName
    sTmp = ""
    
    On Local Error Resume Next
    sTmp = FileDateTime(Text2.Text)
    LblFileInfo(0).Caption = Format(sTmp, "ddddd, hh:mm  ")
    LblFileInfo(1).Caption = Format(FileLen(Text2.Text), "###,###  ")
    
    Image1.Picture = LoadPicture(Text2.Text)
    If Err Then
        Err = 0
        Image1.Picture = LoadPicture()
    End If
    On Local Error GoTo 0
End Sub

Private Sub Form_Activate()
    Combo1.SetFocus
End Sub

Private Sub Form_Load()
    
    'Asignar las extensiones
    Combo1.AddItem "*.*"    '0
    'Extensiones para imagenes
    Combo1.AddItem "*.ico"
    Combo1.AddItem "*.bmp"
    Combo1.AddItem "*.wmf"
    Combo1.AddItem "*.dib"
    Combo1.AddItem "*.gif"
    Combo1.AddItem "*.jpg"
    Combo1.AddItem "*.pcx"
    'Extensiones de textos
    Combo1.AddItem "*.txt"
    Combo1.AddItem "*.doc"
    Combo1.AddItem "*.wri"
    Combo1.AddItem "*.diz"
    Combo1.AddItem "*.ini"
    'extensiones para lenguajes
    Combo1.AddItem "*.bas"
    Combo1.AddItem "*.vb"
    Combo1.AddItem "*.vbp"
    Combo1.AddItem "*.vbg"
    Combo1.AddItem "*.mak"
    Combo1.AddItem "*.frm"
    Combo1.AddItem "*.c*"
    Combo1.AddItem "*.h*"
    Combo1.AddItem "*.pas"
    'extensiones para programas y libreras
    Combo1.AddItem "*.exe"
    Combo1.AddItem "*.dll"
    Combo1.AddItem "*.res"

    Dim sTmp As String

    sTmp = Trim$(Dir1.Path) & "\"
    If Right$(sTmp, 2) = "\\" Then
        sTmp = Left$(sTmp, Len(sTmp) - 1)
    End If
    Text2.Text = sTmp & File1.FileName

End Sub

Private Sub Form_Unload(Cancel As Integer)
    Set gsVerFiles = Nothing
End Sub

Private Sub BuscarEnCombo(sTexto As String, cList As Control)
    ' Esta funcin comprobar si el texto indicado existe en la lista
    ' El valor devuelto, ser la posicin dentro de la lista  -1 si hay "fallos"
    '
    ' Para buscar en el List/combo usaremos una llamada al API
    ' (si ya hay una forma de hacerlo, para que re-hacerla?)
    '
    Dim L As Long
    
    If cList.ListCount = 0 Then
        ' Seguro que no est
    Else
        ' Si el control es un Combo
        If TypeOf cList Is ComboBox Then
            'L = SendMessage(cList.hWnd, CB_FINDSTRING, -1, ByVal sTexto)
            L = SendMessage(cList.hWnd, CB_FINDSTRING, -1, sTexto)
        Else
            ' no es un Combo, salir
            Exit Sub
        End If
    End If
End Sub

Public Sub Extensiones(ByVal sExts As String)
    ' Asignar las extensiones a usar                                (22/Ene/99)
    ' estarn en el formato habitual: *.*|*.ico... pero sin descripcin
    Dim i As Long
    Dim sUnaExt As String
    
    sExts = Trim$(sExts)
    ' Comprobar que al final exista una barra de separacin...
    If Right$(sExts, 1) <> "|" Then
        sExts = sExts & "|"
    End If
    
    Combo1.Clear
    Do
        i = InStr(sExts, "|")
        If i Then
            sUnaExt = Left$(sExts, i - 1)
            sExts = Mid$(sExts, i + 1)
            Combo1.AddItem sUnaExt
        End If
    Loop While i > 0 Or Len(sExts)
End Sub

